{
    "i386" : "iPhone Simulator",
    "x86_64" : "iPhone Simulator",
    "iPhone1,1" : "iPhone",
    "iPhone1,2" : "iPhone 3G",
    "iPhone2,1" : "iPhone 3GS",
    "iPhone3,1" : "iPhone 4",
    "iPhone3,2" : "iPhone 4",
    "iPhone3,3" : "iPhone 4",
    "iPhone4,1" : "iPhone 4S",
    "iPhone5,1" : "iPhone 5",
    "iPhone5,2" : "iPhone 5",
    "iPhone5,3" : "iPhone 5C",
    "iPhone5,4" : "iPhone 5C",
    "iPhone6,1" : "iPhone 5S",
    "iPhone6,2" : "iPhone 5S",
    "iPhone7,1" : "iPhone 6 Plus",
    "iPhone7,2" : "iPhone 6",
    "iPhone8,1" : "iPhone 6S",
    "iPhone8,2" : "iPhone 6S Plus",
    "iPhone8,4" : "iPhone SE",
    "iPhone9,1" : "iPhone 7",
    "iPhone9,2" : "iPhone 7 Plus",
    "iPhone9,3" : "iPhone 7",
    "iPhone9,4" : "iPhone 7 Plus",
    "iPhone10,1" : "iPhone 8",
    "iPhone10,2" : "iPhone 8 Plus",
    "iPhone10,3" : "iPhone X",
    "iPhone10,4" : "iPhone 8",
    "iPhone10,5" : "iPhone 8 Plus",
    "iPhone10,6" : "iPhone X",
    "iPhone11,2" : "iPhone XS",
    "iPhone11,4" : "iPhone XS Max",
    "iPhone11,6" : "iPhone XS Max",
    "iPhone11,8" : "iPhone XR",
    "iPhone12,1" : "iPhone 11",
    "iPhone12,3" : "iPhone 11 Pro",
    "iPhone12,5" : "iPhone 11 Pro Max",

    "iPod1,1" : "1st Generation iPod",
    "iPod2,1" : "2nd Generation iPod",
    "iPod3,1" : "3rd Generation iPod",
    "iPod4,1" : "4th Generation iPod",
    "iPod5,1" : "5th Generation iPod",
    "iPod7,1" : "6th Generation iPod",
    "iPod9,1" : "7th Generation iPod",

    "iPad1,1" : "iPad",
    "iPad1,2" : "iPad 3G",
    "iPad2,1" : "2nd Generation iPad",
    "iPad2,2" : "2nd Generation iPad",
    "iPad2,3" : "2nd Generation iPad",
    "iPad2,4" : "2nd Generation iPad",
    "iPad3,1" : "3rd Generation iPad",
    "iPad3,2" : "3rd Generation iPad",
    "iPad3,3" : "3rd Generation iPad",
    "iPad2,5" : "iPad mini",
    "iPad2,6" : "iPad mini",
    "iPad2,7" : "iPad mini",
    "iPad3,4" : "4th Generation iPad",
    "iPad3,5" : "4th Generation iPad",
    "iPad3,6" : "4th Generation iPad",
    "iPad4,1" : "iPad Air",
    "iPad4,2" : "iPad Air",
    "iPad4,3" : "1st Generation iPad Air",
    "iPad4,4" : "iPad mini Retina",
    "iPad4,5" : "iPad mini Retina",
    "iPad4,6" : "iPad mini Retina",
    "iPad4,7" : "iPad mini 3",
    "iPad4,8" : "iPad mini 3",
    "iPad4,9" : "iPad Mini 3",
    "iPad5,1" : "iPad mini 4",
    "iPad5,2" : "4th Generation iPad mini",
    "iPad5,3" : "iPad Air 2",
    "iPad5,4" : "iPad Air 2",
    "iPad6,3" : "iPad Pro 9.7-Inch",
    "iPad6,4" : "iPad Pro 9.7-Inch",
    "iPad6,7" : "iPad Pro 12.9-Inch",
    "iPad6,8" : "iPad Pro 12.9-Inch",
    "iPad6,11" : "iPad, 2017",
    "iPad6,12" : "iPad, 2017",
    "iPad7,1" : "iPad Pro 2nd Generation",
    "iPad7,2" : "iPad Pro 2nd Generation",
    "iPad7,3" : "iPad Pro 10.5-Inch",
    "iPad7,4" : "iPad Pro 10.5-Inch",
    "iPad7,5" : "iPad 6th Generation",
    "iPad7,6" : "iPad 6th Generation",
    "iPad7,11" : "iPad 7th Generation 10.2-Inch",
    "iPad7,12" : "iPad 7th Generation 10.2-Inch",
    "iPad8,1" : "iPad Pro 3rd Generation, 11-Inch",
    "iPad8,2" : "iPad Pro 3rd Generation, 11-Inch",
    "iPad8,3" : "iPad Pro 3rd Generation, 11-Inch",
    "iPad8,4" : "iPad Pro 3rd Generation, 11-Inch",
    "iPad8,5" : "iPad Pro 3rd Generation, 12.9-Inch",
    "iPad8,6" : "iPad Pro 3rd Generation, 12.9-Inch",
    "iPad8,7" : "iPad Pro 3rd Generation, 12.9-Inch",
    "iPad8,8" : "iPad Pro 3rd Generation, 12.9-Inch",
    "iPad11,1" : "iPad mini 5th Generation",
    "iPad11,2" : "iPad mini 5th Generation",
    "iPad11,3" : "iPad Air 3rd Generation",
    "iPad11,4" : "iPad Air 3rd Generation",

    "Watch1,1" : "Apple Watch 38mm case",
    "Watch1,2" : "Apple Watch 42mm case",
    "Watch2,6" : "Apple Watch Series 1 38mm case",
    "Watch2,7" : "Apple Watch Series 1 42mm case",
    "Watch2,3" : "Apple Watch Series 2 38mm case",
    "Watch2,4" : "Apple Watch Series 2 42mm case",
    "Watch3,1" : "Apple Watch Series 3 38mm case",
    "Watch3,2" : "Apple Watch Series 3 42mm case",
    "Watch3,3" : "Apple Watch Series 3 38mm case",
    "Watch3,4" : "Apple Watch Series 3 42mm case",
    "Watch4,1" : "Apple Watch Series 4 40mm case",
    "Watch4,2" : "Apple Watch Series 4 44mm case",
    "Watch4,3" : "Apple Watch Series 4 40mm case",
    "Watch4,4" : "Apple Watch Series 4 44mm case",
    "Watch5,1" : "Apple Watch Series 5 40mm case",
    "Watch5,2" : "Apple Watch Series 5 44mm case",
    "Watch5,3" : "Apple Watch Series 5 40mm case",
    "Watch5,4" : "Apple Watch Series 5 44mm case",
    
    "iMac19,2" : "iMac 4K, Mid 2019",
    "iMac19,1" : "iMac 5K, Mid 2019",
    "iMac18,3" : "iMac 5K, Mid 2017",
    "iMac18,2" : "iMac 4K, Mid 2017",
    "iMac18,1" : "iMac, Mid 2017",
    "iMac17,1" : "iMac 5K, Late 2015",
    "iMac16,2" : "iMac 4K, Late 2015",
    "iMac16,1" : "iMac, Late 2015",
    "iMac15,1" : "iMac Retina 5K, 2014",
    "iMac14,4" : "iMac, Mid 2014",
    "iMac14,3" : "iMac, Late 2013",
    "iMac14,2" : "iMac, Late 2013",
    "iMac14,1" : "iMac, Late 2013",
    "iMac13,2" : "iMac, Late 2012",
    "iMac13,1" : "iMac, Late 2012",
    "iMac12,2" : "iMac, Mid 2011",
    "iMac12,1" : "iMac, Mid 2011",
    "iMac11,3" : "iMac, Mid 2010",
    "iMac11,2" : "iMac, Mid 2010",
    "iMac11,1" : "iMac Core 2 Duo, Late 2009",
    "iMac10,1" : "iMac Core 2 Duo, Late 2009",
    "iMac9,1" : "iMac Core 2 Duo, Early 2009",
    "iMac8,1" : "iMac Core 2 Duo, Early 2008",
    "iMac7,1" : "iMac Core 2 Duo, Aluminium)",
    "iMac6,1" : "iMac Core 2 Duo 24-Inch",
    "iMac5,2" : "iMac Core 2 Duo 17-Inch",
    "iMac5,1" : "iMac Core 2 Duo",
    "iMac4,2" : "iMac Core Duo 17-Inch",
    "iMac4,1" : "iMac Core Duo",

    "iMacPro1,1" : "iMac Pro 5K, Late 2017",
                                                
    "MacBook10,1" : "MacBook Retina 12-Inch, Mid 2017",
    "MacBook9,1" : "MacBook Retina 12-Inch, Early 2016",
    "MacBook8,1" : "MacBook Retina 12-Inch, Early 2015",
    "MacBook7,1" : "MacBook Core 2 Duo 13-Inch, Mid 2010",
    "MacBook6,1" : "MacBook Core 2 Duo 13-Inch, Late 2009",
    "MacBook5,2" : "MacBook Core 2 Duo 13-Inch, 2009",
    "MacBook5,1" : "MacBook Core 2 Duo 13-Inch, Unibody",
    "MacBook4,1" : "MacBook Core 2 Duo 13-Inch, 2008",
    "MacBook3,1" : "MacBook Core 2 Duo 13-Inch",
    "MacBook2,1" : "MacBook Core 2 Duo 13-Inch, 2007",
    "MacBook1,1" : "MacBook Core Duo 13-Inch",

    "MacBookAir8,2" : "MacBook Air 13-Inch, True Tone, 2019",
    "MacBookAir8,1" : "MacBook Air 13-Inch, Late 2018",
    "MacBookAir7,2" : "MacBook Air 13-Inch, Early 2015",
    "MacBookAir7,1" : "MacBook Air 11-Inch, Early 2015",
    "MacBookAir6,2" : "MacBook Air 13-Inch, Mid-2013 / Early 2014",
    "MacBookAir6,1" : "MacBook Air 11-Inch, Mid-2013 / Early 2014",
    "MacBookAir5,2" : "MacBook Air 13-Inch, Mid-2012",
    "MacBookAir5,1" : "MacBook Air 11-Inch, Mid-2012",
    "MacBookAir4,2" : "MacBook Air 13-Inch, Mid-2011",
    "MacBookAir4,1" : "MacBook Air 11-Inch, Mid-2011",
    "MacBookAir3,2" : "MacBook Air Core 2 Duo 13-Inch, Late 2010",
    "MacBookAir3,1" : "MacBook Air Core 2 Duo 11-Inch, Late 2010",
    "MacBookAir2,1" : "MacBook Air Core 2 Duo 13-Inch, Mid 2009",
    "MacBookAir1,1" : "MacBook Air Core 2 Duo 13-Inch",

    "MacBookPro15,4" : "MacBook Pro 13-Inch, Mid-2019",
    "MacBookPro15,3" : "MacBook Pro 15-Inch, Mid-2019",
    "MacBookPro15,2" : "MacBook Pro 13-Inch, Mid-2018",
    "MacBookPro15,1" : "MacBook Pro 15-Inch, Mid-2018",
    "MacBookPro14,3" : "MacBook Pro 15-Inch, Mid-2017",
    "MacBookPro14,2" : "MacBook Pro 13-Inch, Mid-2017",
    "MacBookPro14,1" : "MacBook Pro 13-Inch Retina, Mid 2017",
    "MacBookPro13,3" : "MacBook Pro 15-Inch, Late 2016",
    "MacBookPro13,2" : "MacBook Pro 13-Inch, Late 2016",
    "MacBookPro13,1" : "MacBook Pro 13-Inch Retina, Late 2016",
    "MacBookPro12,1" : "MacBook Pro 13-Inch Retina, Early 2015",
    "MacBookPro11,5" : "MacBook Pro 15-Inch Retina, Mid-2015, Dual Graphics",
    "MacBookPro11,4" : "MacBook Pro 15-Inch Retina, Mid-2015, Integrated Graphics",
    "MacBookPro11,3" : "MacBook Pro 15-Inch Retina, Late 2013, Dual Graphics",
    "MacBookPro11,2" : "MacBook Pro 15-Inch Retina, Late 2013, Integrated Graphics",
    "MacBookPro11,1" : "MacBook Pro 13-Inch Retina, Late 2013",
    "MacBookPro10,2" : "MacBook Pro 13-Inch Retina, Late-2012",
    "MacBookPro10,1" : "MacBook Pro 15-Inch Retina, Mid-2012",
    "MacBookPro9,2" : "MacBook Pro 13-Inch Mid-2012/Early 2013",
    "MacBookPro9,1" : "MacBook Pro 15-Inch Mid-2012",
    "MacBookPro8,3" : "MacBook Pro 17-Inch Early 2011",
    "MacBookPro8,2" : "MacBook Pro 15-Inch Early 2011",
    "MacBookPro8,1" : "MacBook Pro 13-Inch Early 2011",
    "MacBookPro7,1" : "MacBook Pro Core 2 Duo 13-Inch, Mid-2010",
    "MacBookPro6,2" : "MacBook Pro Core 2 Duo 15-Inch, Mid-2010",
    "MacBookPro6,1" : "MacBook Pro Core 2 Duo 17-Inch, Mid-2010",
    "MacBookPro5,5" : "MacBook Pro Core 2 Duo 13-Inch, SD/FW",
    "MacBookPro5,4" : "MacBook Pro Core 2 Duo 15-Inch, SD",
    "MacBookPro5,3" : "MacBook Pro Core 2 Duo 15-Inch, SD",
    "MacBookPro5,2" : "MacBook Pro Core 2 Duo 17-Inch, Unibody",
    "MacBookPro5,1" : "MacBook Pro Core 2 Duo 15-Inch, Unibody",
    "MacBookPro4,1" : "MacBook Pro Core 2 Duo, 2008",
    "MacBookPro3,1" : "MacBook Pro Core 2 Duo, SR",
    "MacBookPro2,2" : "MacBook Pro Core 2 Duo 15-Inch",
    "MacBookPro2,1" : "MacBook Pro Core 2 Duo 17-Inch",
    "MacBookPro1,2" : "MacBook Pro Core Duo 17-Inch",
    "MacBookPro1,1" : "MacBook Pro Core Duo 15-Inch",

    "Macmini8,1" : "Mac mini, Late 2018",
    "Macmini7,1" : "Mac mini, Late 2014",
    "Macmini6,2" : "Mac mini, Late 2012",
    "Macmini6,1" : "Mac mini, Late 2012",
    "Macmini5,3" : "Mac mini, Mid-2011/Server",
    "Macmini5,2" : "Mac mini, Mid-2011",
    "Macmini5,1" : "Mac mini, Mid-2011",
    "Macmini4,1" : "Mac mini Core 2 Duo, Mid-2010",
    "Macmini3,1" : "Mac mini Core 2 Duo, Early 2009",
    "Macmini2,1" : "Mac mini Core 2 Duo",
    "Macmini1,1" : "Mac mini",

    "MacPro6,1" : "Mac Pro, Late 2013",
    "MacPro5,1" : "Mac Pro, 2010",
    "MacPro4,1" : "Mac Pro, 2009",
    "MacPro3,1" : "Mac Pro, 2008",
    "MacPro2,1" : "Mac Pro Eight Core",
    "MacPro1,1" : "Mac Pro Quad Core (Original)"
}
